(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@wm/core'), require('@angular/common'), require('@wm/components/base')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@wm/core', '@angular/common', '@wm/components/base'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.wm = global.wm || {}, global.wm.mobile = global.wm.mobile || {}, global.wm.mobile.components = global.wm.mobile.components || {}, global.wm.mobile.components.basic = global.wm.mobile.components.basic || {}, global.wm.mobile.components.basic.search = {}), global.ng.core, global.wm.core, global.ng.common, global.wm.components.base));
})(this, (function (exports, i0, core, common, base) { 'use strict';

    function _interopNamespaceDefault(e) {
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n.default = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespaceDefault(i0);

    class SearchDirective {
        constructor(elRef) {
            core.switchClass(elRef.nativeElement, 'app-mobile-search');
        }
        static { this.ɵfac = function SearchDirective_Factory(t) { return new (t || SearchDirective)(i0__namespace.ɵɵdirectiveInject(i0__namespace.ElementRef)); }; }
        static { this.ɵdir = /*@__PURE__*/ i0__namespace.ɵɵdefineDirective({ type: SearchDirective, selectors: [["", "wmSearch", ""]] }); }
    }
    (() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0__namespace.ɵsetClassMetadata(SearchDirective, [{
            type: i0.Directive,
            args: [{
                    selector: '[wmSearch]'
                }]
        }], () => [{ type: i0__namespace.ElementRef }], null); })();

    const components = [
        SearchDirective
    ];
    class SearchModule {
        static { this.ɵfac = function SearchModule_Factory(t) { return new (t || SearchModule)(); }; }
        static { this.ɵmod = /*@__PURE__*/ i0__namespace.ɵɵdefineNgModule({ type: SearchModule }); }
        static { this.ɵinj = /*@__PURE__*/ i0__namespace.ɵɵdefineInjector({ imports: [common.CommonModule,
                base.WmComponentsModule] }); }
    }
    (() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0__namespace.ɵsetClassMetadata(SearchModule, [{
            type: i0.NgModule,
            args: [{
                    imports: [
                        common.CommonModule,
                        base.WmComponentsModule
                    ],
                    declarations: [...components],
                    exports: [...components]
                }]
        }], null, null); })();
    (function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0__namespace.ɵɵsetNgModuleScope(SearchModule, { declarations: [SearchDirective], imports: [common.CommonModule,
            base.WmComponentsModule], exports: [SearchDirective] }); })();

    exports.SearchDirective = SearchDirective;
    exports.SearchModule = SearchModule;

}));
